Last Comment Bug 683084 - Loading forever Google Earth plugin
: Loading forever Google Earth plugin
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://maps.google.com/
Depends on:
Blocks: 90268
  Show dependency treegraph
 
Reported: 2011-08-29 20:19 PDT by Alice0775 White
Modified: 2012-01-03 12:55 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments

Description Alice0775 White 2011-08-29 20:19:06 PDT
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/33031c875984
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:9.0a1) Gecko/20110829 Firefox/9.0a1 ID:20110829055008

Loading forever Google Earth  plugin.

Google Earth Plugin
    File: npgeplugin.dll
    Version: 1.0.0.1
    GEPlugin

Reproducible: Always

Steps to Reproduce:
1. Open Firefox with clean profile + Google Earth Plugin
2. Open Page ( http://maps.google.com/ )
3. Mouse over "Satellite"
4. Click "Earth"


Actual Results:
  Loading forever Google Earth  plugin. 
  An error in Error console:

Error: a.iface.newPairId_ is not a function
Source file: http://www.google.com/uds/api/earth/1.1/109c7b2bae7fe6cc34ea875176165d81/default.I.js
Line: 95

Expected Results:
  Google Earth should load.


Regression window(cached m-c hourly):
Works:
http://hg.mozilla.org/mozilla-central/rev/ca5a3569462d
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:9.0a1) Gecko/20110829 Firefox/9.0a1 ID:20110829030811
Fails:
http://hg.mozilla.org/mozilla-central/rev/33031c875984
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:9.0a1) Gecko/20110829 Firefox/9.0a1 ID:20110829055008
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=ca5a3569462d&tochange=33031c875984
Comment 1 Boris Zbarsky [:bz] 2011-08-29 20:23:34 PDT
Requesting tracking for this regression.
Comment 2 Alice0775 White 2011-09-18 07:55:04 PDT
Fixed by backed out Bug 90268 https://bugzilla.mozilla.org/show_bug.cgi?id=90268#c183 .

Note You need to log in before you can comment on or make changes to this bug.